/******************************************************************************
* FILE:   table.h
*         The functions that handle the game table.
*
* Author: Dana Vrajitoru, IUSB
* Class:  C481 B581 Computer Graphics
******************************************************************************/

#ifndef MAIN_H
#define MAIN_H

gint Next_frame(gpointer data);
void Connect_signals(GtkWidget *app, GtkWidget *area);

gint Event_press_key(GtkWidget *widget, GdkEvent *event, gpointer data);
void Event_move_left(GtkWidget *widget);
void Event_move_right(GtkWidget *widget);
void Event_rotate(GtkWidget *widget);
void Event_drop(GtkWidget *widget);
void New_game(gpointer area);
gint Event_score(gpointer data);
void Adjust_interval(gpointer data);

#endif
